use strict;
use warnings;
use lib 't/lib';
use Test::More qw(no_plan);
use Test::Exception;
use Devel::Dwarn;

BEGIN {
    use_ok 'NoSequence';
    $ENV{DBIC_TRACE} = 0;
}

my $schema = NoSequence->connect( 'dbi:Pg:dbname=test', 'postgres', '' );
$schema->storage->dbh->{Warn} = 0;
$schema->storage->ensure_connected;
$schema->storage->_use_insert_returning(0);

my $dir = "t/sql";    # tempdir(CLEANUP => 0);
$schema->create_ddl_dir( ['PostgreSQL'], 0.1, $dir );
$schema->deploy( { add_drop_table => 1, add_drop_view => 1 } );

isa_ok(
    $schema->source('Mesclun'),
    'DBIx::Class::ResultSource::View',
    "My MTI class also"
);

my ( $bowl_of_salad, $bowl_of_salad1 );

lives_ok {
    $bowl_of_salad = $schema->resultset('Mesclun')
        ->create( { acidity => 4, spiciness => '10', fresh => 0 } );
}
"I can call a create on a view mesclun";

lives_ok {
    $bowl_of_salad1 = $schema->resultset('Salad')->create( { fresh => 1 } );
}
"I can do it for the other view, too";


